Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.query.xquery.expr
Enum CmpG.Comp

    java.lang.Object
      java.lang.Enum<CmpG.Comp>
          org.basex.query.xquery.expr.CmpG.Comp

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CmpG.Comp>

Enclosing class:
  CmpG

    public static enum CmpG.Comp

extends java.lang.Enum<CmpG.Comp>

Comparators.

Enum Constant Summary
`EQ` General Comparison: equal.
`GE` General Comparison: greater of equal.
`GT` General Comparison: greater.
`LE` General Comparison: less or equal.
`LT` General Comparison: less.
`NE` General Comparison: not equal.

Field Summary
`CmpV.Comp` | `cmp` Comparator.
`java.lang.String` | `name` String representation.

Method Summary
`java.lang.String` | `toString()`
`static CmpG.Comp` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CmpG.Comp[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LE

    public static final CmpG.Comp LE

  General Comparison: less or equal.

### LT

    public static final CmpG.Comp LT

  General Comparison: less.

### GE

    public static final CmpG.Comp GE

  General Comparison: greater of equal.

### GT

    public static final CmpG.Comp GT

  General Comparison: greater.

### EQ

    public static final CmpG.Comp EQ

  General Comparison: equal.

### NE

    public static final CmpG.Comp NE

  General Comparison: not equal.

Field Detail

### name

    public final java.lang.String name

  String representation.

### cmp

    public final CmpV.Comp cmp

  Comparator.

Method Detail

### values

    public static CmpG.Comp[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CmpG.Comp c : CmpG.Comp.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CmpG.Comp valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<CmpG.Comp>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD